
QGIS Application - Bug report #10982

Polygon rendering

2014-07-30 02:05 AM - Lubos Balazovic

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19325

Description

Polygon is not rendered in close view (Zoom In). To reproduce: 

1. Load attached vector layer 

2. set scale to 1:5000 

3. Zoom In or set scale to 1:4400. No polygon is rendered.

Note: Screenshots was taken in 2.2 but bug remains also in 2.4

History

#1 - 2014-07-30 03:48 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

- File clean.dbf.zip added

The attached vector has a serious error in it

0,ring 1 with less than four points

0,Geometry has 1 errors.

this seems the cause and makes impossible to edit the polygon, to select it, etc. Seems anyway an edge case.

Clean it with whaterver tool you prefer (v.clean, the libwgeom plugin, etc.) and you will get a correct vector (attached).

#2 - 2014-07-31 03:46 AM - Lubos Balazovic

OK - these errors could by resolved by external tools but QGIS should give some warning, that data contains errors - if data stop working only in special

scale it is very confusing.

#3 - 2014-07-31 09:28 AM - Giovanni Manghi

Lubos Balazovic wrote:

OK - these errors could by resolved by external tools but QGIS should give some warning, that data contains errors - if data stop working only in

special scale it is very confusing.
the tools to check for geometries gives you a cleat hint. So after that usually the user can select the problem and visually have a look at it (and eventually fix

it by hand). In this case the error was so weird that the polygon wasn't editable with the node tool (and selecting with the node tool qgis makes a validation

and shows the results in the status bar), nor was possible to select it. Never seen anything like that. Said that, the tools to fix even beast like this are

available in QGIS, in the Processing toolbox.

Files

chybny_polygon.zip 2.66 KB 2014-07-30 Lubos Balazovic

scr01.jpg 77.5 KB 2014-07-30 Lubos Balazovic

scr02.jpg 69.2 KB 2014-07-30 Lubos Balazovic

clean.dbf.zip 2.81 KB 2014-07-30 Giovanni Manghi
